Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.jsr181
Class Jsr181WebAnnotations

    java.lang.Object
      org.codehaus.xfire.annotations.jsr181.Jsr181WebAnnotations

All Implemented Interfaces:
  WebAnnotations

    public class Jsr181WebAnnotations

extends java.lang.Object
implements WebAnnotations

Constructor Summary
`Jsr181WebAnnotations()`

Method Summary
`HandlerChainAnnotation` | `getHandlerChainAnnotation(java.lang.Class clazz)` Gets the `HandlerChainAnnotation` annotation from the given class, if found.
`SOAPBindingAnnotation` | `getSOAPBindingAnnotation(java.lang.Class clazz)` Gets the `SOAPBindingAnnotation` annotation from the given class, if found.
`WebMethodAnnotation` | `getWebMethodAnnotation(java.lang.reflect.Method method)` Gets the `WebServiceAnnotation` annotation from the given class, if found.
`WebParamAnnotation` | `getWebParamAnnotation(java.lang.reflect.Method method, int parameter)` Gets the `WebParamAnnotation` annotation from the indicated parameter of the given method, if found.
`WebResultAnnotation` | `getWebResultAnnotation(java.lang.reflect.Method method)` Gets the `WebResultAnnotation` annotation from the given method, if found.
`WebServiceAnnotation` | `getWebServiceAnnotation(java.lang.Class clazz)` Gets the `WebServiceAnnotation` annotation from the given class, if found.
`boolean` | `hasHandlerChainAnnotation(java.lang.Class clazz)` Tests whether the given class has the `HandlerChainAnnotation` annotation.
`boolean` | `hasOnewayAnnotation(java.lang.reflect.Method method)` Tests whether the given method has the one way annotation.
`boolean` | `hasSOAPBindingAnnotation(java.lang.Class clazz)` Tests whether the given class has the `SOAPBindingAnnotation` annotation.
`boolean` | `hasWebMethodAnnotation(java.lang.reflect.Method method)` Tests whether the given method has the `WebMethodAnnotation` annotation.
`boolean` | `hasWebParamAnnotation(java.lang.reflect.Method method, int parameter)` Tests whether the indicated parameter of the given method has the `WebResultAnnotation` annotation.
`boolean` | `hasWebResultAnnotation(java.lang.reflect.Method method)` Tests whether the given method has the `WebResultAnnotation` annotation.
`boolean` | `hasWebServiceAnnotation(java.lang.Class clazz)` Tests whether the given class has the `WebServiceAnnotation` annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsr181WebAnnotations

    public Jsr181WebAnnotations()

Method Detail

### hasWebServiceAnnotation

    public boolean hasWebServiceAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Tests whether the given class has the `WebServiceAnnotation` annotation.

  Specified by:
    `hasWebServiceAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    `true` if present; `false` otherwise.

### getWebServiceAnnotation

    public WebServiceAnnotation getWebServiceAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Gets the `WebServiceAnnotation` annotation from the given class, if found.

  Specified by:
    `getWebServiceAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    the annotation; or `null` if it could not be found.

### hasWebMethodAnnotation

    public boolean hasWebMethodAnnotation(java.lang.reflect.Method method)

  Description copied from interface: `WebAnnotations`
  Tests whether the given method has the `WebMethodAnnotation` annotation.

  Specified by:
    `hasWebMethodAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
  Returns:
    `true` if present; `false` otherwise.

### getWebMethodAnnotation

    public WebMethodAnnotation getWebMethodAnnotation(java.lang.reflect.Method method)

  Description copied from interface: `WebAnnotations`
  Gets the `WebServiceAnnotation` annotation from the given class, if found.

  Specified by:
    `getWebMethodAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
  Returns:
    the annotation; or `null` if it could not be found.

### hasWebResultAnnotation

    public boolean hasWebResultAnnotation(java.lang.reflect.Method method)

  Description copied from interface: `WebAnnotations`
  Tests whether the given method has the `WebResultAnnotation` annotation.

  Specified by:
    `hasWebResultAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
  Returns:
    `true` if present; `false` otherwise.

### getWebResultAnnotation

    public WebResultAnnotation getWebResultAnnotation(java.lang.reflect.Method method)

  Description copied from interface: `WebAnnotations`
  Gets the `WebResultAnnotation` annotation from the given method, if found.

  Specified by:
    `getWebResultAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
  Returns:
    the annotation; or `null` if it could not be found.

### hasWebParamAnnotation

    public boolean hasWebParamAnnotation(java.lang.reflect.Method method,
                                         int parameter)

  Description copied from interface: `WebAnnotations`
  Tests whether the indicated parameter of the given method has the `WebResultAnnotation` annotation.

  Specified by:
    `hasWebParamAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
    `parameter` - the index of the parameter in the method's parameter list.
  Returns:
    `true> if present; `false` otherwise.`

### getWebParamAnnotation

    public WebParamAnnotation getWebParamAnnotation(java.lang.reflect.Method method,
                                                    int parameter)

  Description copied from interface: `WebAnnotations`
  Gets the `WebParamAnnotation` annotation from the indicated parameter of the given method, if found.

  Specified by:
    `getWebParamAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
    `parameter` - the parameter index.
  Returns:
    the annotation; or `null` if it could not be found.

### hasOnewayAnnotation

    public boolean hasOnewayAnnotation(java.lang.reflect.Method method)

  Description copied from interface: `WebAnnotations`
  Tests whether the given method has the one way annotation.

  Specified by:
    `hasOnewayAnnotation` in interface `WebAnnotations`
  Parameters:
    `method` - the method.
  Returns:
    `true` if present; `false` otherwise.

### hasSOAPBindingAnnotation

    public boolean hasSOAPBindingAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Tests whether the given class has the `SOAPBindingAnnotation` annotation.

  Specified by:
    `hasSOAPBindingAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    `true> if present; `false` otherwise.`

### getSOAPBindingAnnotation

    public SOAPBindingAnnotation getSOAPBindingAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Gets the `SOAPBindingAnnotation` annotation from the given class, if found.

  Specified by:
    `getSOAPBindingAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    the annotation; or `null` if it could not be found.

### hasHandlerChainAnnotation

    public boolean hasHandlerChainAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Tests whether the given class has the `HandlerChainAnnotation` annotation.

  Specified by:
    `hasHandlerChainAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    `true> if present; `false` otherwise.`

### getHandlerChainAnnotation

    public HandlerChainAnnotation getHandlerChainAnnotation(java.lang.Class clazz)

  Description copied from interface: `WebAnnotations`
  Gets the `HandlerChainAnnotation` annotation from the given class, if found.

  Specified by:
    `getHandlerChainAnnotation` in interface `WebAnnotations`
  Parameters:
    `clazz` - the class.
  Returns:
    the annotation; or `null` if it could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.